#/bin/bash

gnuplot -c ./plot_final_german_cost_single '"../result/output/results_size_german"' '"../result/output/training_results_german"' > ./results_both_colored_german_cost.pdf
gnuplot -c ./plot_german_cost_over_time_with_error \"../result/output/averaged_{0..8}_german\" > cost_german.pdf
gnuplot -c ./plot_german_cost_over_time \"../result/output/averaged_{0..8}_german\" > cost_german_ne.pdf
gnuplot -c ./plot_size_over_time_with_error \"../result/output/averaged_{0..8}_german\" > size_cost_german.pdf
gnuplot -c ./plot_size_over_time \"../result/output/averaged_{0..8}_german\" > size_cost_german_ne.pdf


gnuplot -c ./plot_final_accuracy_single '"../result/output_run1/iris_balanced_accuracy/results_size_iris"' '"../result/output_run1/iris_balanced_accuracy/training_results_iris"' > ./results_both_colored_iris_balanced.pdf
gnuplot -c ./plot_size_over_time \"../result/output_run1/iris_balanced_accuracy/averaged_{0..8}_iris\" > size_balanced_iris_ne.pdf
gnuplot -c ./plot_size_over_time_with_error \"../result/output_run1/iris_balanced_accuracy/averaged_{0..8}_iris\" > size_balanced_iris.pdf
gnuplot -c ./plot_fitness_over_time \"../result/output_run1/iris_balanced_accuracy/averaged_{0..8}_iris\" > accuracy_balanced_iris_ne.pdf
gnuplot -c ./plot_fitness_over_time_with_error \"../result/output_run1/iris_balanced_accuracy/averaged_{0..8}_iris\" > accuracy_balanced_iris.pdf

gnuplot -c ./plot_final_accuracy_single '"../result/output_run1/german_balanced_accuracy/results_size_german"' '"../result/output_run1/german_balanced_accuracy/training_results_german"' > ./results_both_colored_german_balanced.pdf
gnuplot -c ./plot_size_over_time \"../result/output_run1/german_balanced_accuracy/averaged_{0..8}_german\" > size_balanced_german_ne.pdf
gnuplot -c ./plot_size_over_time_with_error \"../result/output_run1/german_balanced_accuracy/averaged_{0..8}_german\" > size_balanced_german.pdf
gnuplot -c ./plot_fitness_over_time \"../result/output_run1/german_balanced_accuracy/averaged_{0..8}_german\" > accuracy_balanced_german_ne.pdf
gnuplot -c ./plot_fitness_over_time_with_error \"../result/output_run1/german_balanced_accuracy/averaged_{0..8}_german\" > accuracy_balanced_german.pdf

gnuplot -c ./plot_final_accuracy_single '"../result/output_run1/nurse_raw_accuracy/results_size_nurse"' '"../result/output_run1/nurse_raw_accuracy/training_results_nurse"' > ./results_both_colored_nurse_raw.pdf
gnuplot -c ./plot_size_over_time \"../result/output_run1/nurse_raw_accuracy/averaged_{0..8}_nurse\" > size_raw_nurse_ne.pdf
gnuplot -c ./plot_size_over_time_with_error \"../result/output_run1/nurse_raw_accuracy/averaged_{0..8}_nurse\" > size_raw_nurse.pdf
gnuplot -c ./plot_fitness_over_time \"../result/output_run1/nurse_raw_accuracy/averaged_{0..8}_nurse\" > accuracy_raw_nurse_ne.pdf
gnuplot -c ./plot_fitness_over_time_with_error \"../result/output_run1/nurse_raw_accuracy/averaged_{0..8}_nurse\" > accuracy_raw_nurse.pdf

gnuplot -c ./plot_final_accuracy_single '"../result/output_2/results_size_iris"' '"../result/output_2/results_iris_training"' > ./results_both_colored_iris_raw.pdf
gnuplot -c ./plot_size_over_time \"../result/output_2/averaged_{0..8}_iris\" > size_raw_iris_ne.pdf
gnuplot -c ./plot_size_over_time_with_error \"../result/output_2/averaged_{0..8}_iris\" > size_raw_iris.pdf
gnuplot -c ./plot_fitness_over_time \"../result/output_2/averaged_{0..8}_iris\" > accuracy_raw_iris_ne.pdf
gnuplot -c ./plot_fitness_over_time_with_error \"../result/output_2/averaged_{0..8}_iris\" > accuracy_raw_iris.pdf

gnuplot -c ./plot_final_accuracy_single '"../result/output_2/results_size_german"' '"../result/output_2/training_results_german"' > ./results_both_colored_german_raw.pdf
gnuplot -c ./plot_size_over_time \"../result/output_2/averaged_{1..9}_german\" > size_raw_german_ne.pdf
gnuplot -c ./plot_size_over_time_with_error \"../result/output_2/averaged_{1..9}_german\" > size_raw_german.pdf
gnuplot -c ./plot_fitness_over_time \"../result/output_2/averaged_{1..9}_german\" > accuracy_raw_german_ne.pdf
gnuplot -c ./plot_fitness_over_time_with_error \"../result/output_2/averaged_{1..9}_german\" > accuracy_raw_german.pdf




